FLANG

Public Member Functions | List of all members
Fortran::semantics::SemanticsVisitor< C > Class Template Reference
Inheritance diagram for Fortran::semantics::SemanticsVisitor< C >:

## Public Member Functions
| SemanticsVisitor (SemanticsContext &context)
template<typename N >
bool | Pre (const N &node)
template<typename N >
void | Post (const N &node)
template<typename T >
bool | Pre (const parser::Statement< T > &node)
template<typename T >
bool | Pre (const parser::UnlabeledStatement< T > &node)
template<typename T >
void | Post (const parser::Statement< T > &node)
template<typename T >
void | Post (const parser::UnlabeledStatement< T > &node)
bool | Walk (const parser::Program &program)
template<typename N >
void | Enter (const N &)
template<typename N >
void | Leave (const N &)

The documentation for this class was generated from the following file:

- lib/Semantics/semantics.cpp